toEnuAdp {oce} | R Documentation

## Convert an ADP Object to ENU Coordinates

### Description

Convert an ADP Object to ENU Coordinates

### Usage

    toEnuAdp(x, declination = 0, debug = getOption("oceDebug"))

### Arguments

`x` | an `adp` object, i.e. one inheriting from `adp-class`.
`declination` | magnetic declination to be added to the heading, to get ENU with N as "true" north.

`debug`

an integer specifying whether debugging information is to be printed during the processing. This is a general parameter that is used by many `oce` functions. Generally, setting `debug=0` turns off the printing, while higher values suggest that more information be printed. If one function calls another, it usually reduces the value of `debug` first, so that a user can often obtain deeper debugging by specifying higher `debug` values.

### Author(s)

Dan Kelley

### References

http://www.nortek-as.com/lib/forum-attachments/coordinate-transformation

### See Also

See `read.adp` for notes on functions relating to `"adp"` objects. Also, see `beamToXyzAdp` and `xyzToEnuAdp`.

Other things related to `adp` data: `[[,adp-method`, `[[<-,adp-method`, `adp-class`, `adpEnsembleAverage`, `adp`, `as.adp`, `beamName`, `beamToXyzAdp`, `beamToXyzAdv`, `beamToXyz`, `beamUnspreadAdp`, `binmapAdp`, `enuToOtherAdp`, `enuToOther`, `plot,adp-method`, `read.ad2cp`, `read.adp.nortek`, `read.adp.rdi`, `read.adp.sontek.serial`, `read.adp.sontek`, `read.adp`, `read.aquadoppHR`, `read.aquadoppProfiler`, `read.aquadopp`, `subset,adp-method`, `summary,adp-method`, `toEnu`, `velocityStatistics`, `xyzToEnuAdp`, `xyzToEnu`

[Package oce version 0.9-22 Index]